import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconPrinter as IconPrinterClass } from "../../../../components/icon/icons/printer.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconPrinter = (props) => {
  IconPrinterClass.define();
  const JSXElement = getReactComponent("gds-icon-printer");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconPrinter.displayName = "IconPrinter";
export {
  IconPrinter
};
